<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CEItemProfile Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/dd4/class_c_e_item_profile.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">CEItemProfile Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afde08eac6762005991cced0361e947fb"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#afde08eac6762005991cced0361e947fb">CEItemProfile</a> ()</td></tr>
<tr class="separator:afde08eac6762005991cced0361e947fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa06cf5bcc75f3cb270798d0721d8b613"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#aa06cf5bcc75f3cb270798d0721d8b613">~CEItemProfile</a> ()</td></tr>
<tr class="separator:aa06cf5bcc75f3cb270798d0721d8b613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e1e152e10113411b57ac336ce1b459a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#a5e1e152e10113411b57ac336ce1b459a">GetNominal</a> ()</td></tr>
<tr class="separator:a5e1e152e10113411b57ac336ce1b459a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f24cde9365c47c4c2974703c15e0cd4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#a9f24cde9365c47c4c2974703c15e0cd4">GetMin</a> ()</td></tr>
<tr class="separator:a9f24cde9365c47c4c2974703c15e0cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04906611509a4c5807806de8e9b02b95"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#a04906611509a4c5807806de8e9b02b95">GetQuantityMin</a> ()</td></tr>
<tr class="separator:a04906611509a4c5807806de8e9b02b95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5885848e9e6b7f0e8c74f66d7f566f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#a1a5885848e9e6b7f0e8c74f66d7f566f">GetQuantityMax</a> ()</td></tr>
<tr class="separator:a1a5885848e9e6b7f0e8c74f66d7f566f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95a46a318a538b1ce3d7ea3634c20ed4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#a95a46a318a538b1ce3d7ea3634c20ed4">GetQuantity</a> ()</td></tr>
<tr class="separator:a95a46a318a538b1ce3d7ea3634c20ed4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ba0478f5455815eadc63f395134a18"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#aa9ba0478f5455815eadc63f395134a18">GetLifetime</a> ()</td></tr>
<tr class="separator:aa9ba0478f5455815eadc63f395134a18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c0c7040c6933525dde5f7f595f9900d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#a8c0c7040c6933525dde5f7f595f9900d">GetRestock</a> ()</td></tr>
<tr class="separator:a8c0c7040c6933525dde5f7f595f9900d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89f825851ce19178642f9e276a3dadb"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#ab89f825851ce19178642f9e276a3dadb">GetCost</a> ()</td></tr>
<tr class="separator:ab89f825851ce19178642f9e276a3dadb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9f56e79e427f9c1d69ac73ac0ab6189"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#ad9f56e79e427f9c1d69ac73ac0ab6189">GetUsageFlags</a> ()</td></tr>
<tr class="separator:ad9f56e79e427f9c1d69ac73ac0ab6189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5516017eba884afff5169dccf0a8ca"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html#a3c5516017eba884afff5169dccf0a8ca">GetValueFlags</a> ()</td></tr>
<tr class="separator:a3c5516017eba884afff5169dccf0a8ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d35/_central_economy_8c_source.html#l00193">193</a> of file <a class="el" href="../../db/d35/_central_economy_8c_source.html">CentralEconomy.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afde08eac6762005991cced0361e947fb" name="afde08eac6762005991cced0361e947fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afde08eac6762005991cced0361e947fb">&#9670;&#160;</a></span>CEItemProfile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void CEItemProfile::CEItemProfile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d35/_central_economy_8c_source.html#l00195">195</a> of file <a class="el" href="../../db/d35/_central_economy_8c_source.html">CentralEconomy.c</a>.</p>

</div>
</div>
<a id="aa06cf5bcc75f3cb270798d0721d8b613" name="aa06cf5bcc75f3cb270798d0721d8b613"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa06cf5bcc75f3cb270798d0721d8b613">&#9670;&#160;</a></span>~CEItemProfile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void CEItemProfile::~CEItemProfile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d35/_central_economy_8c_source.html#l00196">196</a> of file <a class="el" href="../../db/d35/_central_economy_8c_source.html">CentralEconomy.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab89f825851ce19178642f9e276a3dadb" name="ab89f825851ce19178642f9e276a3dadb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab89f825851ce19178642f9e276a3dadb">&#9670;&#160;</a></span>GetCost()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CEItemProfile::GetCost </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9ba0478f5455815eadc63f395134a18" name="aa9ba0478f5455815eadc63f395134a18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9ba0478f5455815eadc63f395134a18">&#9670;&#160;</a></span>GetLifetime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> CEItemProfile::GetLifetime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f24cde9365c47c4c2974703c15e0cd4" name="a9f24cde9365c47c4c2974703c15e0cd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f24cde9365c47c4c2974703c15e0cd4">&#9670;&#160;</a></span>GetMin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CEItemProfile::GetMin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5e1e152e10113411b57ac336ce1b459a" name="a5e1e152e10113411b57ac336ce1b459a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e1e152e10113411b57ac336ce1b459a">&#9670;&#160;</a></span>GetNominal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CEItemProfile::GetNominal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a95a46a318a538b1ce3d7ea3634c20ed4" name="a95a46a318a538b1ce3d7ea3634c20ed4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95a46a318a538b1ce3d7ea3634c20ed4">&#9670;&#160;</a></span>GetQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> CEItemProfile::GetQuantity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a5885848e9e6b7f0e8c74f66d7f566f" name="a1a5885848e9e6b7f0e8c74f66d7f566f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a5885848e9e6b7f0e8c74f66d7f566f">&#9670;&#160;</a></span>GetQuantityMax()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> CEItemProfile::GetQuantityMax </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a04906611509a4c5807806de8e9b02b95" name="a04906611509a4c5807806de8e9b02b95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04906611509a4c5807806de8e9b02b95">&#9670;&#160;</a></span>GetQuantityMin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> CEItemProfile::GetQuantityMin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c0c7040c6933525dde5f7f595f9900d" name="a8c0c7040c6933525dde5f7f595f9900d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c0c7040c6933525dde5f7f595f9900d">&#9670;&#160;</a></span>GetRestock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> CEItemProfile::GetRestock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9f56e79e427f9c1d69ac73ac0ab6189" name="ad9f56e79e427f9c1d69ac73ac0ab6189"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9f56e79e427f9c1d69ac73ac0ab6189">&#9670;&#160;</a></span>GetUsageFlags()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CEItemProfile::GetUsageFlags </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c5516017eba884afff5169dccf0a8ca" name="a3c5516017eba884afff5169dccf0a8ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c5516017eba884afff5169dccf0a8ca">&#9670;&#160;</a></span>GetValueFlags()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CEItemProfile::GetValueFlags </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/CE/<a class="el" href="../../db/d35/_central_economy_8c_source.html">CentralEconomy.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/dd4/class_c_e_item_profile.html">CEItemProfile</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
